<template>
  <ele-modal
    custom-class="ele-dialog-form long-dialog-form"
    :centered="true"
    :visible="innerboundDetailsDialogFlag"
    :title="title"
    append-to-body
    :close-on-click-modal="false"
    width="70%"
    :before-close="cancel"
    :maxable="true"
    :resizable="true"
  >
    <inner-bound-details ref="innerBoundDetailsRef"></inner-bound-details>
  </ele-modal>
</template>

<script>
  import innerBoundDetails from '@/BIZComponents/innerdetails.vue';
  import { mapGetters, mapActions } from 'vuex';

  export default {
    props: {
      innerboundDetailsDialogFlag: {
        type: Boolean,
        default: false
      }
    },
    components: {
      innerBoundDetails
    },
    data() {
      return {
        title: '入库单信息'
      };
    },
    watch: {},
    computed: {
      ...mapGetters(['getDictValue'])
    },

    created() {},
    methods: {
      async init(row = {}) {
        await this.$refs.innerBoundDetailsRef._getInfo(row.code);
        //await this.$refs.innerBoundDetailsRef.init(row);
      },
      cancel() {
        this.$emit('update:innerboundDetailsDialogFlag', false);
      },
      ...mapActions('dict', ['requestDict'])
    }
  };
</script>

<style lang="scss" scoped></style>
